r4695 - in trunk/bootscripts: . blfs/init.d blfs/sysconfig/network-devices/services

dj at linuxfromscratch.org dj at linuxfromscratch.org
Fri Jul 8 17:35:26 PDT 2005


Author: dj
Date: 2005-07-08 18:35:26 -0600 (Fri, 08 Jul 2005)
New Revision: 4695

Modified:
   trunk/bootscripts/blfs/init.d/autofs
   trunk/bootscripts/blfs/init.d/courier
   trunk/bootscripts/blfs/init.d/netfs
   trunk/bootscripts/blfs/init.d/nfs-server
   trunk/bootscripts/blfs/sysconfig/network-devices/services/dhclient
   trunk/bootscripts/blfs/sysconfig/network-devices/services/dhcpcd
   trunk/bootscripts/lfs-bootscripts.version
Log:
fixed == in all scripts

Modified: trunk/bootscripts/blfs/init.d/autofs
===================================================================
--- trunk/bootscripts/blfs/init.d/autofs	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/init.d/autofs	2005-07-09 00:35:26 UTC (rev 4695)
@@ -124,7 +124,7 @@
                     continue
                 fi
 
-                if [ ! -x "$map" -a "$type" == "program" ]
+                if [ ! -x "$map" -a "$type" = "program" ]
                 then
                     boot_mesg "Map file $map is not executable!" ${FAILURE}
                     echo_failed

Modified: trunk/bootscripts/blfs/init.d/courier
===================================================================
--- trunk/bootscripts/blfs/init.d/courier	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/init.d/courier	2005-07-09 00:35:26 UTC (rev 4695)
@@ -30,7 +30,7 @@
 		# Start ldapaliasd
 		if [ -f /etc/courier/ldapaliasd ]; then
 			. /etc/courier/ldapaliasd
-			if [ "${LDAPALIASDSTART}" == "YES" ]; then
+			if [ "${LDAPALIASDSTART}" = "YES" ]; then
 				boot_mesg "     LDAP Alias..."
 				/usr/sbin/courierldapaliasd start
 				if [ "${?}" -eq "0" ]; then
@@ -45,7 +45,7 @@
 		# Start Webmail
 		if [ -f /etc/courier/webmaild ]; then
 			. /etc/courier/webmaild
-			if [ "${WEBMAILDSTART}" == "YES" ]; then
+			if [ "${WEBMAILDSTART}" = "YES" ]; then
 				boot_mesg "     Webmail..."
 				/usr/sbin/webmaild start
 				evaluate_retval
@@ -60,7 +60,7 @@
 		# Start ESMTPD
 		if [ -f /etc/courier/esmtpd ]; then
 			. /etc/courier/esmtpd
-			if [ "${ESMTPDSTART}" == "YES" ]; then
+			if [ "${ESMTPDSTART}" = "YES" ]; then
 				boot_mesg "     ESMTP..."
 				/usr/sbin/esmtpd start
 				evaluate_retval
@@ -70,7 +70,7 @@
 		# Start ESMTPD-SSL
 		if [ -f /etc/courier/esmtpd-msa ]; then
 			. /etc/courier/esmtpd-msa
-			if [ "${ESMTPDSTART}" == "YES" ]; then
+			if [ "${ESMTPDSTART}" = "YES" ]; then
 				boot_mesg "     ESMTP-MSA..."
 				/usr/sbin/esmtpd-msa start
 				evaluate_retval
@@ -79,7 +79,7 @@
 
 		if [ -f /etc/courier/esmtpd-ssl ]; then
 			. /etc/courier/esmtpd-ssl
-			if [ "${ESMTPDSSLSTART}" == "YES" ]; then
+			if [ "${ESMTPDSSLSTART}" = "YES" ]; then
 				boot_mesg "     ESMTP-SSL..."
 				/usr/sbin/esmtpd-ssl start
 				evaluate_retval
@@ -89,7 +89,7 @@
 		# Start POP3D
 		if [ -f /etc/courier/pop3d ]; then
 			. /etc/courier/pop3d
-			if [ "${POP3DSTART}" == "YES" ]; then
+			if [ "${POP3DSTART}" = "YES" ]; then
 				boot_mesg "     POP3..."
 				/usr/sbin/pop3d start
 				evaluate_retval
@@ -99,7 +99,7 @@
 		# Start POP3D-SSL
 		if [ -f /etc/courier/pop3d-ssl ]; then
 			. /etc/courier/pop3d-ssl
-			if [ "${POP3DSSLSTART}" == "YES" ]; then
+			if [ "${POP3DSSLSTART}" = "YES" ]; then
 				boot_mesg "     POP3-SSL..."
 				/usr/sbin/pop3d-ssl start
 				evaluate_retval
@@ -109,7 +109,7 @@
 		# Start IMAPD
 		if [ -f /etc/courier/imapd ]; then
 			. /etc/courier/imapd
-			if [ "${IMAPDSTART}" == "YES" ]; then
+			if [ "${IMAPDSTART}" = "YES" ]; then
 				boot_mesg "     IMAP..."
 				/usr/sbin/imapd start
 				evaluate_retval
@@ -119,7 +119,7 @@
 		# Start IMAPD-SSL
 		if [ -f /etc/courier/imapd-ssl ]; then
 			. /etc/courier/imapd-ssl
-			if [ "${IMAPDSSLSTART}" == "YES" ]; then
+			if [ "${IMAPDSSLSTART}" = "YES" ]; then
 				boot_mesg "     IMAP-SSL..."
 				/usr/sbin/imapd-ssl start
 				evaluate_retval

Modified: trunk/bootscripts/blfs/init.d/netfs
===================================================================
--- trunk/bootscripts/blfs/init.d/netfs	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/init.d/netfs	2005-07-09 00:35:26 UTC (rev 4695)
@@ -48,7 +48,7 @@
 			# did, then give 3 seconds for things to exit
 			# the nice way before killing them off.
 			# This one will work all of the time!
-			if [ $? == 0 ]
+			if [ $? = 0 ]
 			then
 				/bin/sleep 3
 				/bin/fuser -km $NETMOUNTS > /dev/null
@@ -70,7 +70,7 @@
 			# by fstype.  This list can be extended later as
 			# more network filesystems are supported by mount.
 			/bin/umount -a -t coda,ncpfs,nfs,smbfs
-			if [ $? == 0 ]
+			if [ $? = 0 ]
 			then
 				[ -z $NERRVAL ]
 				evaluate_retval

Modified: trunk/bootscripts/blfs/init.d/nfs-server
===================================================================
--- trunk/bootscripts/blfs/init.d/nfs-server	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/init.d/nfs-server	2005-07-09 00:35:26 UTC (rev 4695)
@@ -22,14 +22,14 @@
 		boot_mesg "Starting NFS statd..."
 		loadproc /usr/sbin/rpc.statd
 
-		if [ "$QUOTAS" == "yes" ]; then
+		if [ "$QUOTAS" = "yes" ]; then
 			boot_mesg "Starting NFS rquotad..."
 			loadproc /usr/sbin/rpc.rquotad
 		fi
 
 		# NFSD support only in 2.6 kernel
 		/bin/uname -r | /bin/grep "2.6" 2>&1 > /dev/null
-		if [ $? == 0 ]; then
+		if [ $? = 0 ]; then
 			boot_mesg "Mounting nfsd virtual filesystem..."
 			/bin/mount -t nfsd none /proc/fs/nfsd 2>&1 > /dev/null
 			evaluate_retval
@@ -58,7 +58,7 @@
 		boot_mesg "Stopping NFS mountd..."
 		killproc /usr/sbin/rpc.mountd
 
-		if [ "$QUOTAS" == "yes" ]; then
+		if [ "$QUOTAS" = "yes" ]; then
 			boot_mesg "Stopping NFS rquotad..."
 			killproc /usr/sbin/rpc.rquotad
 		fi
@@ -69,7 +69,7 @@
 
 		# NFSD support only in 2.6 kernel
                 /bin/uname -r | /bin/grep "2.6" 2>&1 > /dev/null
-                if [ $? == 0 ]; then
+                if [ $? = 0 ]; then
 			boot_mesg "Unmounting NFS Virtual Filesystem..."
 			/bin/umount /proc/fs/nfsd 2>&1 > /dev/null
 			evaluate_retval
@@ -93,7 +93,7 @@
 		## Special case for nfsd with no full path
 		statusproc nfsd
 		statusproc /usr/sbin/rpc.statd
-		if [ "$QUOTA" == "yes" ]; then
+		if [ "$QUOTA" = "yes" ]; then
 			statusproc rpc.rquotad
 		fi
 		;;

Modified: trunk/bootscripts/blfs/sysconfig/network-devices/services/dhclient
===================================================================
--- trunk/bootscripts/blfs/sysconfig/network-devices/services/dhclient	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/sysconfig/network-devices/services/dhclient	2005-07-09 00:35:26 UTC (rev 4695)
@@ -25,7 +25,7 @@
                 # Save the return value
                 RET="$?"
                 # Print the assigned settings if requested
-                if [ "$RET" == "0" -a "$PRINTIP" == "yes" ]; then
+                if [ "$RET" = "0" -a "$PRINTIP" = "yes" ]; then
 			# Get info from dhclient.leases file
 			IPADDR=`getipstats | grep "fixed-address" | \
 				sed 's/ fixed-address //' | \
@@ -40,7 +40,7 @@
 				sed 's/ option domain-name-servers //' | \
 				sed 's/\;//' | sed 's/,/ and /'`
 
-                        if [ "$PRINTALL" == "yes" ]; then
+                        if [ "$PRINTALL" = "yes" ]; then
                                 $(exit "$RET")
 				evaluate_retval
                                 boot_mesg "           DHCP Assigned Settings for $1:"
@@ -66,7 +66,7 @@
 
         down)
                 boot_mesg "Stoping dhclient on the $1 interface..."
-		if [ "$DHCP_STOP" == "" ]
+		if [ "$DHCP_STOP" = "" ]
 		then
 			# This breaks multiple interfaces please provide
 			# the correct stop arguments.

Modified: trunk/bootscripts/blfs/sysconfig/network-devices/services/dhcpcd
===================================================================
--- trunk/bootscripts/blfs/sysconfig/network-devices/services/dhcpcd	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/blfs/sysconfig/network-devices/services/dhcpcd	2005-07-09 00:35:26 UTC (rev 4695)
@@ -35,9 +35,9 @@
 		# Save the return value
 		RET="$?"
 		# Print the assigned settings if requested
-		if [ "$RET" == "0" -a "$PRINTIP" == "yes" ]; then
+		if [ "$RET" = "0" -a "$PRINTIP" = "yes" ]; then
 			. /var/lib/dhcpc/dhcpcd-$1.info
-			if [ "$PRINTALL" == "yes" ]; then
+			if [ "$PRINTALL" = "yes" ]; then
 				echo ""
 				echo_ok
 				boot_mesg "           DHCP Assigned Settings for $1:"

Modified: trunk/bootscripts/lfs-bootscripts.version
===================================================================
--- trunk/bootscripts/lfs-bootscripts.version	2005-07-09 00:31:19 UTC (rev 4694)
+++ trunk/bootscripts/lfs-bootscripts.version	2005-07-09 00:35:26 UTC (rev 4695)
@@ -1,2 +1,2 @@
 Compatible with lfs-bootscripts:
-	Version 2.2.1
+	Version 3.2.2




More information about the blfs-book mailing list